org.gradle.language.assembler.tasks

## Class Assemble

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.language.assembler.tasks.Assemble

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      @Incubating
      public class Assemble
      extends DefaultTask

  Translates Assembly language source files into object files.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Assemble()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assemble()`
    `List<String>` | `getAssemblerArgs()` Additional arguments to provide to the assembler.
    `File` | `getObjectFileDir()` The directory where object files will be generated.
    `org.gradle.internal.operations.logging.BuildOperationLoggerFactory` | `getOperationLoggerFactory()`
    `FileCollection` | `getSource()`
    `NativePlatform` | `getTargetPlatform()` The platform being targeted.
    `NativeToolChain` | `getToolChain()` The tool chain being used to build.
    `void` | `setAssemblerArgs(List<String> assemblerArgs)`
    `void` | `setObjectFileDir(File objectFileDir)`
    `void` | `setTargetPlatform(NativePlatform targetPlatform)`
    `void` | `setToolChain(NativeToolChain toolChain)`
    `void` | `source(Object sourceFiles)` Adds a set of assembler sources files to be translated.

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActionClassLoaders, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Assemble

          @Inject
          public Assemble()

  - ### Method Detail

    - #### getOperationLoggerFactory

          @Inject
          public org.gradle.internal.operations.logging.BuildOperationLoggerFactory getOperationLoggerFactory()

    - #### assemble

          public void assemble()

    - #### getSource

          @InputFiles
          @SkipWhenEmpty
          public FileCollection getSource()

    - #### source

          public void source(Object sourceFiles)

      Adds a set of assembler sources files to be translated. The provided sourceFiles object is evaluated as per `Project.files(Object...)`.

    - #### getAssemblerArgs

          @Input
          public List<String> getAssemblerArgs()

      Additional arguments to provide to the assembler.

    - #### setAssemblerArgs

          public void setAssemblerArgs(List<String> assemblerArgs)

    - #### getToolChain

          @Internal
          public NativeToolChain getToolChain()

      The tool chain being used to build.

    - #### setToolChain

          public void setToolChain(NativeToolChain toolChain)

    - #### getTargetPlatform

          public NativePlatform getTargetPlatform()

      The platform being targeted.

    - #### setTargetPlatform

          public void setTargetPlatform(NativePlatform targetPlatform)

    - #### getObjectFileDir

          @OutputDirectory
          public File getObjectFileDir()

      The directory where object files will be generated.

    - #### setObjectFileDir

          public void setObjectFileDir(File objectFileDir)